
//=============================================
// 
// Mercredi 12 decembre 2001
//  
// Arash Habibi
// 
// Sphere.h
//
//============================================


#ifndef _SPHERE_H_
#define _SPHERE_H_

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "Vecteur.h"
#include "Rayon.h"

typedef struct
{
  vecteur_t centre; 
  double rayon; 
} sphere_t; 


void S_Check(sphere_t s, char *commentaire);

void S_Set(sphere_t *s, vecteur_t centre, double rayon); 

void S_IntersectRayon (sphere_t s, rayon_t rayon, int *nb_points, vecteur_t *M, vecteur_t *normal);
void S_IntersectRayon2(sphere_t s, rayon_t rayon, int *nb_points, vecteur_t *M, vecteur_t *N); 


#endif
